<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 * @since Reef 0.1
 */
get_header();

# Print banner with breadcrumb and post title.
reef_inner_banner();

$has_sidebar = ! reef_get_option( 'disable_sidebar_in_single_page' );
$class = $has_sidebar ? 'col-xs-12 col-sm-7 col-md-8' : 'col-xs-12 col-sm-12 col-md-8 col-md-offset-2';
?>
<section class="wrapper wrap-detail-page" id="main-content">
	<div class="row">
		<div class="<?php echo esc_attr( $class ); ?>">
			<main id="main" class="post-detail-content" role="main">
			<?php
			# Loop Start
			while( have_posts() ): the_post();

				# Print posts respect to the post format
				get_template_part( 'template-parts/post/content', get_post_format() );

				# Print the author details of this post
				get_template_part( 'template-parts/post/content', 'author-detail' );

				# If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

				# Navigate the post. Next post and Previou post.
				the_post_navigation( array(
					'prev_text' => '<span class="screen-reader-text">' . esc_html__( 'Previous Post', 'reef' ) . '</span><span class="nav-title">%title</span>',
					'next_text' => '<span class="screen-reader-text">' . esc_html__( 'Next Post', 'reef' ) . '</span><span class="nav-title">%title</span>',
				) );

			# Loop End
			endwhile; 
			?>
			</main>
			<?php
			# Print related posts randomly.
		    get_template_part( 'template-parts/post/content', 'related-posts' );
			?>
		</div>
		<?php 
			if( $has_sidebar ){
				get_sidebar(); 
			}
		?>
	</div>
</section>

<?php get_footer(); ?>
